> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get function references



## OpenAPI

````yaml api-reference/agents/openapi.json GET /v1/agents/{agentId}/branches/{branchId}/functions/{functionId}/references
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/functions/{functionId}/references:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
      - name: functionId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Functions
      summary: Get function references
      responses:
        '200':
          description: Entities referencing this function
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunctionReferencesPublicResponse'
        '404':
          description: Function not found
components:
  schemas:
    FunctionReferencesPublicResponse:
      title: FunctionReferencesPublicResponse
      description: >-
        Where a function is referenced across a branch's flow steps, topics,
        stop keywords, behavior, and variables.
      type: object
      properties:
        functionId:
          type: string
        name:
          type: string
        references:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - flowStep
                  - topic
                  - stopKeyword
                  - behaviour
                  - variable
              id:
                type: string
              name:
                type:
                  - string
                  - 'null'
            required:
              - type
              - id
              - name
            additionalProperties: false
        totalReferences:
          type: number
      required:
        - functionId
        - name
        - references
        - totalReferences
      additionalProperties: false
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````